Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7176

Summary: rpc.lockd doesn't start
Product: [Retired] Red Hat Linux Reporter: pzz
Component: nfs-utilsAssignee: Michael K. Johnson <johnsonm>
Status: CLOSED RAWHIDE QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 7.0CC: kie, shannon_hill, ung
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-08-09 02:33:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description pzz 1999-11-20 13:00:25 UTC
rpc.lockd fails to start. On startup it prints the message
    lockdsvc: Invalid argument
and dies.

Comment 1 Rex Dieter 1999-12-03 21:39:59 UTC
Are you using RedHat's kernel, or a custom kernel?

If custom, I'd bet it's missing the compile-time support for kernel-nfs.  Only
if the option "Prompt for development drivers" is checked under "Code maturity
options", then you'll be able to enable the "NFS server support" option
under "Network File Systems".

Comment 2 pzz 1999-12-04 22:29:59 UTC
I use the custom kernel (2.2.13) but I've turned on "Prompt for development
drivers" as well as "NFS server support".

Comment 3 Shannon Hill 2000-01-05 15:20:59 UTC
I have this same exact problem when trying
to build/run the 2.2.13 kernel with rh6.1
I have "Prompt for development drivers" ON.
I've tried both built-in and modular nfs
server support.  "Work like SUN" I've always
left ON.

Still, when I try to invoke rpc.lockd, it fails
with "Invalid Argument".  Does the stock rh6.1
kernel (2.2.12-20) have patches applied to it
that are not in the main line of kernel development?

Why does rpc.lockd work fine with 2.2.12-20 and fail
with 2.2.13?

Comment 4 Cristian Gafton 2000-08-09 02:33:52 UTC
assigned to johnsonm

Comment 5 Bill Nottingham 2001-03-08 04:30:35 UTC
This is not a problem with newer NFS code; the kernel will start lockd
automatically when needed (in fact, the rawhide nfs-utils init script
only starts statd.)